/* Services Grid Block */
.services-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: var(--space-card-gap);
}

.service-card {
    background-color: var(--card-bg);
    padding: 2.5rem 1.5rem;
    text-align: center;
    border-radius: 14px;
    transition: transform 0.3s;
    background: #fff;
}

.service-card:hover {
    transform: translateY(-5px);
    background-color: var(--primary-green);
    color: #fff !important;
}
.service-card:hover i,
.service-card:hover svg {
    color: #fff !important;
}
.service-card i{
    font-size: 2.5rem;
    color: var(--primary-green);
    margin-bottom: 1.5rem;
}
.service-card svg{
    font-size: 2.5rem;
    color: var(--primary-green);
    margin-bottom: 1.5rem;
}
.service-card h3, .service-card h4 {
    margin-bottom: 1rem;
    font-size: 1.2rem;
}

.service-card p {
    font-size: 0.9rem;
}

@media (max-width: 768px) {
    .services-grid { grid-template-columns: repeat(2, 1fr); }
}
